Delete a custom data definition
Permanently deletes a custom data definition. Records associated with the definition become inaccessible through the records endpoints. The deletion is irreversible from the public API.
Parameters
Header Parameters
[Authentication] Required API key, in the form {prefix}.{secret}.
"a1b2c3d4.xK9pR2mVn6QwErTyUiOpAsDfGhJkLzXcVbNmQwErTyU""^[a-zA-Z0-9]{8}\\.[A-Za-z0-9_-]+$"Path Parameters
Unique identifier of the custom data definition to delete.
Responses
Client error - Invalid request or authentication issues
Delete a custom data definition Permanently deletes a custom data definition. Records associated with the definition become inaccessible through the records endpoints. The deletion is irreversible from the public API. DELETE /v1/custom-data-definitions/{id_definition} deleteCustomDataDefinition Custom data definitions spm-api-key [Authentication] Required API key, in the form {prefix}.{secret}. id_definition Unique identifier of the custom data definition to delete. Client error - Invalid request or authentication issues Server error - Internal processing failure